package com.yuexiu.secp.read.model.entities;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sie.iot.common.idgenerate.GeneratedKeyValue;
import com.sie.iot.common.model.entity.BaseEntity;
import com.yuexiu.secp.read.model.entities.readonly.AdvertEntityRo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("yxh_advert")
@GeneratedKeyValue
@ApiModel(value = "广告维护表")
public class AdvertEntity  extends BaseEntity<AdvertEntity> implements Serializable {
    @TableId(value = "advert_id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键id")
    private Long advertId;
    @ApiModelProperty(value = "排列方式")
    private Integer arrangementMode;
    @ApiModelProperty(value = "投放位置")
    private Integer putLocation;
    @ApiModelProperty(value = "显示顺序")
    private Integer accordingOrder;
    @ApiModelProperty(value = "开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;
    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "广告状态")
    private Integer advertState;
    @ApiModelProperty(value = "跳转路径")
    private String skipUrl;
    @ApiModelProperty(value = "图片路径")
    private String pictureUrl;
    @ApiModelProperty(value = "广告说明")
    private String advertExplain;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;
    @ApiModelProperty(value = "版本号")
    private Long versionNum;
}

