package com.yuexiu.secp.read.model.entities;

import com.alibaba.fastjson.annotation.JSONField;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class PromotionEntity extends BaseEntity<PromotionEntity> implements Serializable {

    @ApiModelProperty(value = "积分上限")
    private int integralCeiling;
    @ApiModelProperty(value = "推送开始")
    private String pushBeginTime;
    @ApiModelProperty(value = "推送结束")
    private String pushEndTime;
    @ApiModelProperty(value = "订阅弹窗间隔天数")
    private int popupDayNumber;
    @ApiModelProperty(value = "订阅弹窗间隔次数")
    private int popupNumber;
    @ApiModelProperty(value = "文章类别")
    private int articleType;
    @ApiModelProperty(value = "阅读者规则")
    private int readType;
    @ApiModelProperty(value = "阅读是否获得积分")
    private int readIntegralSign;
    @ApiModelProperty(value = "分享规则")
    private int shareType;
    @ApiModelProperty(value = "分享是否获得积分")
    private int shareIntegralSign;
    @ApiModelProperty(value = "文本说明")
    private String textExplains;
    @ApiModelProperty(value = "图标url")
    private String printUrl;
    @ApiModelProperty(value = "计时时长")
    private int timeDuration;
    @ApiModelProperty(value = "计时规则")
    private int timeRule;
    @ApiModelProperty(value = "创建人")
    private Long createdBy;
    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date creationDate;
    @ApiModelProperty(value = "更新人")
    private Long lastUpdatedBy;
    @ApiModelProperty(value = "更新时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date lastUpdateDate;
    @ApiModelProperty(value = "最后登录ID")
    private Long lastUpdateLogin;
    @ApiModelProperty(value = "删除标识 0表示未删除 1表示删除")
    private Integer deleteFlag;
    @ApiModelProperty(value = "版本号")
    private Long versionNum;
}
