package com.yuexiu.secp.read.model.entities.readonly;

import cn.hutool.core.date.DateTime;
import com.alibaba.fastjson.annotation.JSONField;
import com.sie.iot.common.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "广告")
public class AdvertEntityRo  implements Serializable {

    public static final String QUERY= "SELECT\n" +
            "ya.advert_id AS advertId,\n" +
            "ya.arrangement_mode AS arrangementMode,\n" +
            "ya.put_location AS putLocation,\n" +
            "ya.according_order AS accordingOrder,\n" +
            "ya.begin_time AS beginTime,\n" +
            "ya.end_time AS endTime,\n" +
            "ya.advert_state AS advertState,\n" +
            "ya.skip_url AS skipUrl,\n" +
            "ya.picture_url AS pictureUrl,\n" +
            "ya.advert_explain AS advertExplain,\n" +
            "ya.tenant_id AS tenantId,\n" +
            "ya.created_by AS createdBy,\n" +
            "ya.creation_date AS creationDate,\n" +
            "ya.last_updated_by AS lastUpdatedBy,\n" +
            "ya.last_update_date AS lastUpdateDate,\n" +
            "ya.last_update_login AS lastUpdateLogin,\n" +
            "ya.delete_flag AS deleteFlag,\n" +
            "ya.version_num AS versionNum\n" +
            "FROM\n" +
            "yxh_advert ya\n" +
            "where 1=1 \n";

    @ApiModelProperty(value = "主键id")
    private Long advertId;
    @ApiModelProperty(value = "排列方式")
    private Integer arrangementMode;
    @ApiModelProperty(value = "投放位置")
    private Integer putLocation;
    @ApiModelProperty(value = "显示顺序")
    private Integer accordingOrder;
    @ApiModelProperty(value = "开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;
    @ApiModelProperty(value = "结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "广告状态")
    private Integer advertState;
    @ApiModelProperty(value = "跳转路径")
    private String skipUrl;
    @ApiModelProperty(value = "图片路径")
    private String pictureUrl;
    @ApiModelProperty(value = "广告说明")
    private String advertExplain;
    @ApiModelProperty(value = "租户id")
    private Long tenantId;


}

