package com.yuexiu.secp.read.controller;

import com.sie.iot.common.bean.ResponseData;
import com.sie.iot.common.secure.annotation.CheckToken;
import com.yuexiu.secp.read.dto.ArticleQueryDto;
import com.yuexiu.secp.read.model.entities.ArticleEntity;
import com.yuexiu.secp.read.model.entities.PromotionEntity;
import com.yuexiu.secp.read.model.service.IArticleServer;
import com.yuexiu.secp.read.model.service.IPromotionServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@Validated
@Api(value = "阅读有礼-文章", tags = "阅读有礼-文章")
@RestController
@RequestMapping("/promotionSetController")
public class PromotionController {

    @Autowired
    private IPromotionServer iPromotionServer;

    @ApiOperation(value = "查询推广设置")
    @PostMapping(value = "/findPromotionSet")
    public ResponseData findPromotionSet(@RequestParam String key) {
        PromotionEntity promotionEntity = iPromotionServer.findPromotionSet(key);
        return  ResponseData.data(promotionEntity);
    }

    @ApiOperation(value = "保存推广设置")
    @PostMapping(value = "/savePromotionSet")
    public ResponseData savePromotionSet(@RequestBody PromotionEntity promotionEntity) {
        iPromotionServer.savePromotionSet(promotionEntity);
        return  ResponseData.success();
    }

}
