package com.yuexiu.secp.read.infra.config;

import com.alibaba.fastjson.JSONObject;
import com.sie.iot.base.bean.RedisMessageContentBean;
import com.sie.iot.distribute.transation.invoke.RemoteServiceInvoke;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class BpmProcessingUtil {

    private static final Logger LOGGER = LoggerFactory.getLogger(BpmProcessingUtil.class);

    @Autowired
    private RemoteServiceInvoke remoteServiceInvoke;

    private static final String imSynchronizationKafkaTopic = "message.queue.bpm.asynchronous2";
    //提交流程 加入对应的group  group不存在的时候会自动创建
    public void asynchronousToBpm(Map<String,Object> params){
        LOGGER.info("流程提交参数："+ JSONObject.toJSONString(params));
        try {
            RedisMessageContentBean redisMessageContentBean=new RedisMessageContentBean();
            redisMessageContentBean.setMessageBody(JSONObject.toJSONString(params));
            redisMessageContentBean.setQueueName(imSynchronizationKafkaTopic);
            remoteServiceInvoke.sendMessageBody2Redis(redisMessageContentBean);
        }catch (Exception e){
            LOGGER.error("流程提交异常,错误信息："+e.getMessage());
        }
    }
}
