package com.yuexiu.secp.read.model.service.impl;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sie.iot.common.model.inter.server.BaseCommonServer;
import com.yuexiu.secp.read.model.entities.AdvertEntity;
import com.yuexiu.secp.read.model.entities.PromotionEntity;
import com.yuexiu.secp.read.model.entities.readonly.AdvertEntityRo;
import com.yuexiu.secp.read.model.service.IAdvertServer;
import com.yuexiu.secp.read.model.service.IPromotionServer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Component("promotionServer")
public class PromotionServer extends BaseCommonServer<PromotionEntity> implements IPromotionServer {

    @Autowired
    private RedisTemplate redisTemplate;

    @Override
    public PromotionEntity findPromotionSet(String key) {
          //通过redis的key获取值
          String s = (String) redisTemplate.opsForValue().get("promotionSet");
          //转为json对象
          JSONObject jsonObject = JSONObject.parseObject(s);
          PromotionEntity promotionEntity = JSONObject.toJavaObject(jsonObject,PromotionEntity.class);
          return promotionEntity;
    }

    @Override
    public void savePromotionSet(PromotionEntity promotionEntity) {
        String json = JSON.toJSONString(promotionEntity);
        //推广设置保存到redis
        redisTemplate.opsForValue().set("promotionSet",json);
        //将设置持久化
        redisTemplate.persist("promotionSet");

    }
}
